csv

FasterCSV -> CSV for ruby 1.8 -> 1.9 and rails 3.0

Tagged:  

Ran into an issue with a rails 3.0 app which I had running on ruby 1.9 and am now getting to run on ruby 1.8. The app pulls in data from some CSV files and used the CSV library in ruby 1.9. All the CSV data imports failed under ruby 1.8. A little research showed that this is because CSV in ruby 1.9 was FasterCSV in ruby 1.8, and the CSV class in ruby 1.8 was something completely different. So I got around this by doing the following:

Add a conditional include of fastercsv to the Gemfile:

gem 'fastercsv', :platforms => :ruby_18

Syndicate content